/*
 * memcpy_dma.h
 *
 *  Created on: Oct 1, 2019
 *      Author: abody
 */

#ifndef MEMCPY_DMA_H_
#define MEMCPY_DMA_H_

#include <inttypes.h>
#include <platform/dma_ll.h>

void InitMemcpyDma(DMA_TypeDef *dma, uint32_t stream);
void * MemcpyDma(void *dst, void const *src, size_t length);
void HandleMemcpyDmaIrq();

#endif /* MEMCPY_DMA_H_ */
